Bug 244018 - Review Request: proxychains - Provides proxy support to any application
Review Request: proxychains - Provides proxy support to any application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: CVE-2015-3887
  Show dependency treegraph
 
Reported: 2007-06-13 08:33 EDT by Tyler Owen
Modified: 2015-03-16 11:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 21:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tyler Owen 2007-06-13 08:33:48 EDT
Spec URL: http://scurn.net/fedora/proxychains.spec
SRPM URL: http://scurn.net/fedora/proxychains-3.1-1.fc7.src.rpm

Description: 

Proxychains forces any tcp connection made by any given tcp client to
follow through a proxy. Proxychains intercepts TCP calls and forces
them through a user defined proxy



This is my first package, so I am seeking a a sponsor.
Comment 2 Tyler Owen 2007-06-21 04:42:57 EDT
I have updated the package to include some feedback around the -devel package
and I also removed the inclusion of a .la file.

* Wed Jun 20 2007 Tyler Owen <tyler.l.owen@gmail.com> 3.1-2
- Removed proxychains-devel package as it is not needed
- Removed .la file

Updated SPEC & SRPM links below:

Spec URL: http://scurn.net/fedora/proxychains.spec
SRPM URL: http://scurn.net/fedora/proxychains-3.1-2.fc7.src.rpm


Comment 3 Mamoru TASAKA 2007-06-30 00:04:00 EDT
scurn.net seems unaccessible?
Comment 4 Tyler Owen 2007-07-01 11:18:35 EDT
yes it appears to be down.  I am actually out of town now so I have mirrored the
files on another server that I have access to.


http://yes.urapita.net/fedora/proxychains.spec
http://yes.urapita.net/fedora/proxychains-3.1-2.fc7.src.rpm
Comment 5 Mamoru TASAKA 2007-07-07 14:15:37 EDT
For proxychains 3.1-2:

* Timestamps
  - To keep timestamps, for this package use below:
--------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
--------------------------------------------------

* Requires
  - As proxyresolv calls dig, this package must have:
    Requires: bind-utils


--------------------------------------------------
As this is NEEDSPONSOR tickets, we must follow 
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

When you fix the issue above and modify gdesklets-weather,
I will approve this and sponsor you.
--------------------------------------------------
Comment 6 Tyler Owen 2007-07-07 22:25:08 EDT
I have fixed the above issues.  


* Sat Jul 07 2007 Tyler Owen <tyler.l.owen@gmail.com> - 3.1-3
- Added -p option to install to preserve timestamps
- Added Requires for bind-utils


Updated SPEC & SRPM:
Spec URL: http://scurn.net/fedora/proxychains.spec
SRPM URL: http://scurn.net/fedora/proxychains-3.1-3.fc7.src.rpm


Note:
I have also fixed the issues with gdesklets-goodweather too.


Comment 7 Mamoru TASAKA 2007-07-08 07:06:51 EDT
Okay.

-----------------------------------------------------
     This package (proxychains) is APPROVED by me
-----------------------------------------------------

Please follow the procedure written on
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account"
When you requested someone to sponsor you (in the procedure
above), please make a note on this bug that you did so.

If you want to push this package also on F-7, you
also have to check:
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
after the URL above.
Comment 8 Mamoru TASAKA 2007-07-08 08:04:44 EDT
Okay, now I am sponsoring you.
Comment 9 Tyler Owen 2007-07-08 08:10:16 EDT
I have created an account (owentl) and requested membership to the cvsextras and
fedorabugs groups
Comment 10 Tyler Owen 2007-07-08 12:43:47 EDT
New Package CVS Request
=======================
Package Name: proxychains
Short Description: Provides proxy support to any application
Owners: tyler.l.owen@gmail.com
Branches: F-7
InitialCC: 
Comment 11 Tyler Owen 2007-07-09 21:24:58 EDT
Built on devel and F-7.
Requested on Bodhi to push.
Closing.

Thanks for the review and sponsorship!!
Comment 12 Paolo Bonzini 2012-04-16 11:50:27 EDT
Package Change Request
======================
Package Name: proxychains
New Branches: el5 el6
Owners: bonzini

Note You need to log in before you can comment on or make changes to this bug.